
Redmine - Defect #8689

User without edit issue perm can modify assignee

2011-06-27 09:41 - Anonymous

Status: New Start date: 2011-06-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.2.0

Description

About your application's environment

Ruby version 1.8.7 (i686-linux)

RubyGems version 1.3.7

Rack version 1.1.1

Rails version 2.3.11

Active Record version 2.3.11

Active Resource version 2.3.11

Action Mailer version 2.3.11

Active Support version 2.3.11

Edge Rails revision unknown

Application root /var/www/railsapp

Environment production

Database adapter mysql

Database schema version 20110511000000

A user without edit issue permission cannot modify the assignee flag via right click the issue, but after opening the issue and click

Update he can

If the user does have no permissions to modify workflow, he cannot modify assignee anymore

History

#1 - 2011-10-13 12:01 - Etienne Massip

- Category set to Issues permissions

#2 - 2013-02-21 17:45 - Nestor Lobo

Exact same case to me.

Is there any workaround without adding edit issue permission to the role?

Thanks in advance
